
Redmine - Patch #5714

Request for controller_issues_bulk_edit_after_save hook

2010-06-20 15:26 - Andriy Lesyuk

Status: Closed Start date: 2010-06-20

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Description

I suggest adding controller_issues_bulk_edit_after_save hook to Issues controller.

Issue controller has hooks:

controller_issues_new_before_save

controller_issues_new_after_save

controller_issues_edit_before_save

controller_issues_edit_after_save

controller_issues_bulk_edit_before_save

That is pairs - ..._before_save/..._after_save. All but the controller_issues_bulk_edit_before_save hook.

I need this hook to notify external tool about adding journal to database. So I also suggest adding '':journal => journal'' to:

controller_issues_bulk_edit_before_save

controller_issues_bulk_edit_before_save

Thanks

Related issues:

Is duplicate of Redmine - Patch #8757: Add hook for bulk edit post-save state New 2011-07-06

History

#1 - 2010-07-19 22:10 - Holger Just

You could register your code to the default active record before_save hook of the Journal and/or the Issue model. Also, the current journal is available

as the @current_journal instance variable in the controller.

#2 - 2010-07-19 23:32 - Mischa The Evil

- Category changed from Issues to Plugin API

- Assignee set to Eric Davis

Eric, hook-requests are to be assigned to you as I remember correctly... ;/

#3 - 2010-08-06 11:01 - Andriy Lesyuk

Holger Just wrote:

You could register your code to the default active record before_save hook of the Journal and/or the Issue model. Also, the current journal is

available as the @current_journal instance variable in the controller.

 The before_save hook is called before the Journal is created. That is if an external tool tries to get such Journal by ID it failes to find it...

#4 - 2010-08-06 11:25 - Holger Just

Then hook yourself into Journal.after_save. You can filter for issue journals there. Be aware that the whole journal stuff is currently undergoing

changes. So don't trust that you will only have journal entries of issues.

Also, the current journal of an issue can be retrieved using @issue.current_journal.

#5 - 2010-08-06 11:28 - Andriy Lesyuk

Journal.after_save is also called before the journal is actually added...
#6 - 2010-08-06 13:36 - Holger Just

Well, no.

Journal#save is currently only called in Issue#create_journal, which is called as an after_save hook of Issue. Thus, once the journal is saved, its

respective issue was already saved to the DB. Methods registered to the Journal#after_save hook are only called once the Journal object was

correctly saved to the database.

Depending on the transaction isolation level of your database, you will not see the journal entry from another transaction before the first one is

actually committed though. This will only happen after the request was successfully completed.

#7 - 2010-08-24 16:47 - Andriy Lesyuk

- File controller_issues_bulk_edit_after_save.patch added

Anyway my patch works... Without it I had troubles...

Redmine's code contains other hooks in pairs - [before|after]_save. So I believe it is logical to add controller_issues_bulk_edit_before_save. And it is

very easy to add this hook - just by applying this path. Can I expect this to be done? Otherwise I will need to patch Redmine's code on every upgrade.

Please...

Thanks

#8 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#9 - 2011-03-23 23:20 - Andriy Lesyuk

- Status changed from New to Resolved

I don't need applying this patch any more... So do whatever you want with it.

#10 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#11 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#12 - 2018-11-03 22:33 - Go MAEDA

- Is duplicate of Patch #8757: Add hook for bulk edit post-save state added

Files

controller_issues_bulk_edit_after_save.patch 1.19 KB 2010-06-20 Andriy Lesyuk

controller_issues_bulk_edit_after_save.patch 899 Bytes 2010-08-24 Andriy Lesyuk
